#include <iostream>
#include <mpi.h>

using namespace std;

int main (int argc, char* argv[])
{
  int rank,size,length;
  MPI_Init( &argc, &argv );
  MPI_Comm_rank( MPI_COMM_WORLD, &rank );
  MPI_Comm_size( MPI_COMM_WORLD, &size );
  char hostname[MPI_MAX_PROCESSOR_NAME];
  MPI_Get_processor_name( hostname, &length); 
  printf( "Hello world! This is process %d out of %d running on %s\n", rank, size, hostname );
  MPI_Finalize();
  return 0;
}
