      SUBROUTINE DLAWRITE( M, N, A, FILENAM )
*
*  Purpose
*  =======
*
*  DLAWRITE prints to a file a matrix A(M,N).
*

      CHARACTER*(*)      FILENAM
      INTEGER            M, N, NOUT
      DOUBLE PRECISION   A( M, N )
*
      NOUT = 100
      OPEN( NOUT, FILE = FILENAM, STATUS = 'UNKNOWN',
     $    FORM = 'FORMATTED', ACCESS = 'SEQUENTIAL', ERR = 50 )
      REWIND ( NOUT )
      WRITE( NOUT, FMT = *, ERR = 50 )M, N
      DO 10 J = 1, N
        DO 20 I = 1, M
          WRITE( NOUT, FMT = *, ERR = 50 ) A( I, J )
   20   CONTINUE
   10 CONTINUE
      CLOSE ( NOUT, ERR = 50 )
*
   50 RETURN
      END
*
*
*
      SUBROUTINE DLAREAD( M, N, A, CMATNM )
*
*  Purpose
*  =======
*
*  DLAREAD prints to the standard output a matrix A(M,N).
*

      CHARACTER*(*)      CMATNM
      INTEGER            M, N, NIN
      DOUBLE PRECISION   A( M, N )
*
      NIN = 10
      OPEN( NIN, FILE = CMATNM, STATUS = 'OLD', FORM = 'FORMATTED',
     $       ACCESS = 'SEQUENTIAL', ERR = 60 )
      REWIND ( NIN )
      READ( NIN, FMT = *, ERR = 60 ) NR, NC
      READ( NIN, FMT = *, ERR = 60 ) ((A(I,J),I=1,M),J=1,N)
      CLOSE ( NIN, ERR = 60 )
      GOTO 60
*
   60 RETURN
      END
*
*
*
      SUBROUTINE DLAPRNT( M, N, A, CMATNM, NOUT )
*
*  Purpose
*  =======
*
*  DLAPRNT prints to the standard output a matrix A(M,N).
*

      CHARACTER*(*)      CMATNM
      INTEGER            M, N, NOUT
      DOUBLE PRECISION   A( M, N )
*
      WRITE( NOUT, * )
      WRITE( NOUT, FMT = 9998 ) CMATNM
      WRITE( NOUT, * )
      DO I = 1 , M
        DO J = 1 , N
          WRITE( NOUT, FMT = 9999 ) CMATNM, I, J, A( I, J)
        ENDDO
      ENDDO
*
 9998 FORMAT('Matrix ',A,':')
 9999 FORMAT(A,'(',I6,',',I6,')=',D30.18)
*
      RETURN
      END
