      PROGRAM LPKTEST
*
*     LAPACK example code
*
      INCLUDE            'matsize.f'
*
      CHARACTER*80       MATFILE, RHSFILE, SOLFILE
      INTEGER            INFO
*
      DOUBLE PRECISION   A( N, N ), B( N, NRHS )
      INTEGER            IPIV( N )
*
      DOUBLE PRECISION   WORK( N+N ), DA(N), DB(NRHS)
      INTEGER            ISEED(4)
*
      EXTERNAL           DGESV, DLAPRNT, DLAREAD, DLAWRITE
*
*
      WRITE( 6, * ) '***********************************************'
      WRITE( 6, * ) 'Example of LAPACK routine call: (DGESV)'
      WRITE( 6, * ) 'A * X = B'
      WRITE( 6, * ) '***********************************************'
*
      MATFILE = 'SCAEXMAT.dat'
      RHSFILE = 'SCAEXRHS.dat'
      SOLFILE = 'SCAEXSOL.dat'
*
      CALL DLAREAD( N, N, A, MATFILE )
      CALL DLAREAD( N, NRHS, B, RHSFILE )
*
      CALL DLAPRNT( N, N, A, 'A', 6 )
      CALL DLAPRNT( N, NRHS, B, 'B', 6 )
*
      CALL DGESV( N, NRHS, A, N, IPIV, B, N, INFO )
*
      CALL DLAPRNT( N, NRHS, B, 'X = A^{-1} * B', 6 )
*
      CALL DLAWRITE( N, NRHS, B, SOLFILE )
*
      STOP
      END
*
