      PROGRAM MGEN
*
*     Matrix generation example code
*
      INCLUDE            'matsize.f'
*
      CHARACTER*80       MATFILE, RHSFILE
      INTEGER            INFO
*
      DOUBLE PRECISION   A( N, N ), B( N, NRHS )
*
      DOUBLE PRECISION   WORK( N+N ), DA(N), DB(NRHS)
      INTEGER            ISEED(4)
*
      EXTERNAL           DLAWRITE
*
*
      ISEED(1) = 123
      ISEED(2) = 456
      ISEED(3) = 789
      ISEED(4) = 345
      CALL DLARNV( 2, ISEED, N, DA )
      CALL DLARNV( 2, ISEED, NRHS, DB )
      CALL DLAGGE( N, N, N-1, N-1, DA, A, N, ISEED, WORK, INFO )
      CALL DLAGGE( N, NRHS, N-1, NRHS-1, DB, B, N, ISEED, WORK, INFO )
*
      MATFILE = 'SCAEXMAT.dat'
      RHSFILE = 'SCAEXRHS.dat'
*
      CALL DLAWRITE( N, N, A, MATFILE )
      CALL DLAWRITE( N, NRHS, B, RHSFILE )
*
      STOP
      END
*

