      PROGRAM trapez
      IMPLICIT NONE
C
C Trapezoidal rule with very many integration nodes
C
      EXTERNAL funct
      DOUBLE PRECISION funct, a , b, sum, h
      INTEGER n, i
C
      PARAMETER (a = 1, b = 2, n = 102400000)
C
      h = (b-a)/n
      sum = 0.0
      DO i = 1, n
         sum = sum+funct(i*h+a)
      END DO
      sum = h*(sum-0.5*(funct(a)+funct(b)))
C
      PRINT *,sum
C
      END

      DOUBLE PRECISION FUNCTION funct(x)
      IMPLICIT NONE
C
      DOUBLE PRECISION x
C
      funct = sin(x)
C
      RETURN
      END
